package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 地理网格机构客户经理关联对象 grid_region_user_relate
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
public class GridRegionUserRelate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 网格id */
    @Excel(name = "网格id")
    private Long gridId;

    /** 关联类型; 1: 客户经理 2：机构 */
    @Excel(name = "关联类型; 1: 客户经理 2：机构")
    private String relateType;

    /** 客户经理柜员号 */
    @Excel(name = "客户经理柜员号")
    private String userId;

    /** 客户经理姓名 */
    @Excel(name = "客户经理姓名")
    private String userName;

    /** 机构号 */
    @Excel(name = "机构号")
    private Long deptId;

    /** 机构名 */
    @Excel(name = "机构名")
    private String deptName;

    /** 机构层级;（head：总行，branch支行，outlet网点）） */
    @Excel(name = "机构层级;", readConverterExp = "h=ead：总行，branch支行，outlet网点")
    private String deptType;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private String deleteFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setGridId(Long gridId) 
    {
        this.gridId = gridId;
    }

    public Long getGridId() 
    {
        return gridId;
    }
    public void setRelateType(String relateType) 
    {
        this.relateType = relateType;
    }

    public String getRelateType() 
    {
        return relateType;
    }
    public void setUserId(String userId) 
    {
        this.userId = userId;
    }

    public String getUserId() 
    {
        return userId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setDeptType(String deptType) 
    {
        this.deptType = deptType;
    }

    public String getDeptType() 
    {
        return deptType;
    }
    public void setDeleteFlag(String deleteFlag) 
    {
        this.deleteFlag = deleteFlag;
    }

    public String getDeleteFlag() 
    {
        return deleteFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("gridId", getGridId())
            .append("relateType", getRelateType())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("deptType", getDeptType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deleteFlag", getDeleteFlag())
            .toString();
    }
}
